football

## Class Partie

- java.lang.Object
- - football.Partie

-     public class Partie
      extends java.lang.Object

  Classe Partie, regroupe des joueurs et un arbitre
  Author:
    Adrien Poupa

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Partie(Arbitre arbitre, Equipe equipe1, Equipe equipe2)` Constructeur d'une partie

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)` Surcharge de equals
    `int` | `hashCode()` Surcharge de hashCode
    `void` | `marquerUnBut(Joueur joueur)` Un joueur marque un but : on incrémente le score de son équipe
    `java.lang.String` | `toString()` Affichage de la partie

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Partie

          public Partie(Arbitre arbitre,
                        Equipe equipe1,
                        Equipe equipe2)

      Constructeur d'une partie
      Parameters:
        `arbitre` - Arbitre du match
        `equipe1` - Première équipe
        `equipe2` - Seconde équipe

  - ### Method Detail

    - #### marquerUnBut

          public void marquerUnBut(Joueur joueur)

      Un joueur marque un but : on incrémente le score de son équipe
      Parameters:
        `joueur` - Joueur buteur

    - #### toString

          public java.lang.String toString()

      Affichage de la partie
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Partie à afficher

    - #### equals

          public boolean equals(java.lang.Object o)

      Surcharge de equals
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `o` - objet à comparer
      Returns:
        true/false

    - #### hashCode

          public int hashCode()

      Surcharge de hashCode
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        hash int unique